Doomsday Engine - Bug #540

Alt+Tab disables mouse turning
2008-10-10 22:18 - danij

Status: Closed Start date: 2008-10-10
Priority: High % Done: 100%
Assignee: danij

Category:

Target version: 1.8.6

Description

When the mouse-x axis is used to turn the player, pressing Alt+Tab when in-game to switch between applications will disable mouse
turning completely on return.

My guess is that the state of the virtual Alt key is being changed inadvertently; it is possible to fix the problem by bringing down the
console and using Alt+C (console clear).

Labels: Controllers

History

#1 - 2009-05-05 06:23 - danij

This appears to be a long standing issue as it is present in a build 1.8.6 | made yesterday. When | replace the DirectX input with Windows Messages
the problem should disappear anyway.

#2 - 2012-03-02 11:30 - skyjake
Should be fixed?

#3 - 2012-03-02 16:50 - danij

No this still occurs. I've been thinking it could be our own alt_is_down state that is going out of sync. I'll see if there is anything | can do.
#4 - 2012-03-12 10:22 - skyjake
Will be affected by the "gapp-based" changes. I think I'll add an event that tells the engine when focus is lost so that it can reset/expire modifier key

states.

#5 - 2012-03-29 06:02 - skyjake

Needs some more testing on a native Windows system.

#6 - 2012-05-15 05:16 - skyjake
Mostly fixed for 1.9.8.
